$ServerUrl = 'https://automate.example.com'
$ServerPass = ''
$LocationId = ''

$PackagePath = 'C:\Packages'

$AgentInstallFile = 'LabTechRemoteAgent.msi'
$AgentInstallUrl = "$ServerUrl/LabTech/Service/$AgentInstallFile"
$AgentInstallPath = Join-Path -Path $PackagePath -ChildPath $AgentInstallFile

If (!(Test-Path -PathType Container $PackagePath)) {
	New-Item -ItemType Directory -Path $PackagePath
}

Write-Host "Downloading Agent Installer..."
Invoke-WebRequest -Uri $AgentInstallUrl -OutFile $AgentInstallerPath -UseBasicParsing
Write-Host "Starting installation..."
msiexec.exe /i "$AgentInstallPath" /q /lv "$(Join-Path -Path $PackagePath -ChildPath $AgentInstallFile).log" SERVERADDRESS="$ServerAddress" SERVERPASS="$ServerPass" LOCATION="$LocationId"
Write-Host "Log saved at $(Join-Path -Path $PackagePath -ChildPath $AgentInstallFile).log"